.m-drag-and-drop-2 {
    display: flex;
    position: relative;
    .box-wrapper{
        flex: none !important;
        & > div{
            flex: none;
            width: 100%;
        }
        audio{
            transform: scale(0.9);
            width: 100%;
        }
    }
    .question-table-dd2 {
        width: 100%;
        padding: 0 1rem 1.6rem 1rem;
        &-table {
            width: 100%;
            border-radius: 8px;
            box-shadow: 0px 1px 4px rgb(115 132 152 / 20%);
            table-layout: fixed;
            background-color: white;
            overflow: hidden;
        }
        .question-table-dd2-thead {
            tr {
                background-color: #5cb9d8;
            }
            th {
                color: #ffffff;
                font-size: 1.4rem;
                font-weight: 400;
                padding: 11px;
                &:nth-child(1) {
                    width: 18%;
                    text-align: left;
                    padding-left: 1rem;
                }
                &:nth-child(2) {
                    width: 30%;
                    text-align: left;
                }
                &:nth-child(3) {
                    width: 44%;
                    text-align: center;
                }
                &:nth-child(4) {
                    width: 8%;
                    text-align: center;
                }
            }
        }
        .question-table-dd2-tbody {
            td {
                padding: 5px;
                height: 60px;
                position: relative;
                .rs-toggle{   
                    .rs-toggle-presentation{
                        background: #67AB8D;
                        min-width: 80px;
                    }
                }
                .rs-toggle-checked {
                    .rs-toggle-presentation{
                        background: #F8C116 !important;
                    }
                }
                &:nth-child(2){
                    display: flex;
                    justify-content: center;
                    align-items: center;
                }
                &:nth-child(3){
                    & > div{
                        position: absolute;
                        pointer-events: none;
                        color:#c3c3c3;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        left: 20%;
                        right: 20%;
                        bottom: 20%;
                    }
                }
                .image-input-dd2{
                    position: absolute;
                    left: 5%;
                    .image-dd2{
                        cursor: pointer;
                        .image{
                            position: relative;
                            display: flex;
                            justify-content: center;
                            flex: 1;
                            max-width: 100%;
                            max-height: 100%;
                            height: 100%;
                            .image-default{
                                display: flex;
                                align-items: center;
                                width: 100%;
                                img{
                                    height: 30px;
                                    width: 30px;
                                }
                            }
                            img{
                                height: 50px;
                                border-radius: 5px;
                                max-width: 100%;
                                object-fit: contain;
                            }
                            input[type=file]{
                                height: 50px;
                                width: 50px;
                                position: absolute;
                                display: none;
                            }
                        }
                    }

                    &___isDelete{
                        max-width: 17px;
                        max-height: 17px;
                        position: absolute;
                        top: -5px;
                        right: -5px;
                        cursor: pointer;
                    }

                    .label-image{
                        width: 100%;
                        color: #000;
                        text-align: center;
                        margin-left: 10px;
                    }
                }
                .div-input {
                    height: 40px;
                    width: 100% !important;
                    box-shadow: 0px 0px 0px 1px #D4DDE7;
                    border-radius: 8px;
                    text-align: center;
                    &:active, &:focus{
                        box-shadow: 0px 0px 0px 3px #CCE5FF;
                        border: 1px solid #3498FF;
                    }
                    &.error{
                        // padding: 8px 0px;
                        border-radius: 8px;
                        border: 1px solid #dd3a09;
                    }
                }
            }
        }
        .ic-action{
            height: 17px;
            width: 17px;
            cursor: pointer;
            margin: 0 1.4rem;
        }
        .render_error{
            position: relative;
            display: flex;
            flex-direction: column;
            padding-top: 1rem;
            color: #ff0018;
            font-size: 1.2rem;
            font-weight: 400;
        }
    }
    .question-table-dd2-action {
        height: 40px;
        background-color: #ffffff !important;
        td{
            height: 50px !important;
            border-bottom: none !important;
            .add-new-answer-dd2 {
                display: flex;
                align-items: center;
                justify-content: center;
                cursor: pointer;
                color: #309fc3;
                font-weight: 500;
                &.error{
                    padding: 10px 0px;
                    border-radius: 8px;
                    border: 1px solid #dd3a09;
                }
            }
        }
    }
}
